weka.core.pmml.jaxbbindings

## Class TargetValue

- java.lang.Object
- - weka.core.pmml.jaxbbindings.TargetValue

-     public class TargetValue
      extends java.lang.Object

  Java class for TargetValue element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="TargetValue">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}Partition" minOccurs="0"/>
               </sequence>
               <attribute name="defaultValue" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="displayValue" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="priorProbability" type="{http://www.dmg.org/PMML-4_1}PROB-NUMBER" />
               <attribute name="value" type="{http://www.w3.org/2001/XMLSchema}string" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TargetValue()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Double` | `getDefaultValue()` Gets the value of the defaultValue property.
    `java.lang.String` | `getDisplayValue()` Gets the value of the displayValue property.
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `Partition` | `getPartition()` Gets the value of the partition property.
    `java.math.BigDecimal` | `getPriorProbability()` Gets the value of the priorProbability property.
    `java.lang.String` | `getValue()` Gets the value of the value property.
    `void` | `setDefaultValue(java.lang.Double value)` Sets the value of the defaultValue property.
    `void` | `setDisplayValue(java.lang.String value)` Sets the value of the displayValue property.
    `void` | `setPartition(Partition value)` Sets the value of the partition property.
    `void` | `setPriorProbability(java.math.BigDecimal value)` Sets the value of the priorProbability property.
    `void` | `setValue(java.lang.String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TargetValue

          public TargetValue()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getPartition

          public Partition getPartition()

      Gets the value of the partition property.
      Returns:
        possible object is `Partition`

    - #### setPartition

          public void setPartition(Partition value)

      Sets the value of the partition property.
      Parameters:
        `value` - allowed object is `Partition`

    - #### getDefaultValue

          public java.lang.Double getDefaultValue()

      Gets the value of the defaultValue property.
      Returns:
        possible object is `Double`

    - #### setDefaultValue

          public void setDefaultValue(java.lang.Double value)

      Sets the value of the defaultValue property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getDisplayValue

          public java.lang.String getDisplayValue()

      Gets the value of the displayValue property.
      Returns:
        possible object is `String`

    - #### setDisplayValue

          public void setDisplayValue(java.lang.String value)

      Sets the value of the displayValue property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPriorProbability

          public java.math.BigDecimal getPriorProbability()

      Gets the value of the priorProbability property.
      Returns:
        possible object is `BigDecimal`

    - #### setPriorProbability

          public void setPriorProbability(java.math.BigDecimal value)

      Sets the value of the priorProbability property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getValue

          public java.lang.String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(java.lang.String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`